<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">D3D9VertexDeclaration</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::D3D9VertexDeclaration Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#a9cb93660d7bedba9fe62a93da18ce6d0">addElement</a>(unsigned short source, size_t offset, VertexElementType theType, VertexElementSemantic semantic, unsigned short index=0)</td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#ad75e99bdec09b033ef250b3d2c5296f2">clone</a>(HardwareBufferManagerBase *mgr=0) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a260ecb704cfc32b82f248e382a53be47">closeGapsInSource</a>(void)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#ad024aac9e82c079804563b2777ae8d27">convertElement</a>(const VertexElement &amp;element, D3DVERTEXELEMENT9 &amp;dxElement)</td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Resource.html#a365b849131099fbb397203fff8eebae6">D3D9Resource</a>()</td><td><a class="el" href="classOgre_1_1D3D9Resource.html">Ogre::D3D9Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#a842f42e52d16d44819abb342fc182cad">D3D9VertexDeclaration</a>()</td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#ae1de70597b4c9c1b53d1a2b8b9c74dcb">DeviceToDeclarationIterator</a> typedef</td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#acb454d7ad730f5018514cf2204d02a2d">DeviceToDeclarationMap</a> typedef</td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a3ccfd23af715e4ba40a06edd467d5475">findElementBySemantic</a>(VertexElementSemantic sem, unsigned short index=0) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a293447fa4009ed26af12b47b8cd6415c">findElementsBySource</a>(unsigned short source) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a7ee49d2d72f0b802fb94bebd216dd8ab">getAutoOrganisedDeclaration</a>(bool skeletalAnimation, bool vertexAnimation, bool vertexAnimationNormals) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#aa6da7c9f1902145e0725e348cb522699">getD3DVertexDeclaration</a>(VertexDeclaration *globalDeclaration, bool useGlobalInstancingVertexBufferIsAvailable)</td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a31ee2f8508477014476518eb30f68267">getElement</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a4af70a10bb43da8b8816d18fe652ec58">getElementCount</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#aa9e3bde080e00f7cb9ee737259bb7fa2">getElements</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a2aca53e4f9ccb1cef8d070b037e3b649">getMaxSource</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a8932fb5a831e8ac471bd5f4b2a7351b8">getNextFreeTextureCoordinate</a>() const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#ad39445c408cde1362822577ba0c485c2">getVertexSize</a>(unsigned short source) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#a20073a271688d302e6f64fe564557c1a">insertElement</a>(unsigned short atPosition, unsigned short source, size_t offset, VertexElementType theType, VertexElementSemantic semantic, unsigned short index=0)</td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Resource.html#aa97afae987b0c0f16c3e232a7317fad5">lockDeviceAccess</a>()</td><td><a class="el" href="classOgre_1_1D3D9Resource.html">Ogre::D3D9Resource</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#adc48aa31318d2384866eab90ee8406d5">mElementList</a></td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#a6f366f7e06ffc70919f964d8ec7e597c">mLastUsedGlobalDeclaration</a></td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#aa5d8572399731ad358b8eeb4039e889c">mMapDeviceToDeclaration</a></td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#aeb5a689761d0ee05e79015a4ee26917b">modifyElement</a>(unsigned short elem_index, unsigned short source, size_t offset, VertexElementType theType, VertexElementSemantic semantic, unsigned short index=0)</td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#af135e2be5d157faf75601b06d5c1f57c">mUsedGlobalDeclaration</a></td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#afe9b5394456063cae5b95d512cc54cc0">notifyOnDeviceCreate</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#a5a91d9a841eca45392494b2444968029">notifyOnDeviceDestroy</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Resource.html#a8d55f1d5ce61a1b796d8d86dd3c69fdb">notifyOnDeviceLost</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9Resource.html">Ogre::D3D9Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Resource.html#a9008da922e8b8762ac284cc1f08a0749">notifyOnDeviceReset</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9Resource.html">Ogre::D3D9Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a64989816c9979aac5a5416d488d547d5">operator!=</a>(const VertexDeclaration &amp;rhs) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#aee364dc39b2dfdbff4a5b135e5e5ef39">operator==</a>(const VertexDeclaration &amp;rhs) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#a7cdd5882972af0c2730d814daeaa93e4">releaseDeclaration</a>()</td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#a266542b0e2a78904d671f615b03b8080">removeAllElements</a>(void)</td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#a8cb01902db67a5d34ccc02a5ff733fd1">removeElement</a>(unsigned short elem_index)</td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#aaf846d91970816cbbe04bb3def85e2b6">removeElement</a>(VertexElementSemantic semantic, unsigned short index=0)</td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a98cce285a45ba6f4cf817dcf46bfb588">sort</a>(void)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Resource.html#a6fc9c0ebe4a4c559b172f25f3b5dc9d8">unlockDeviceAccess</a>()</td><td><a class="el" href="classOgre_1_1D3D9Resource.html">Ogre::D3D9Resource</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a564fde701486b259f4f995a799adb433">VertexDeclaration</a>()</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a670466fe9bcfc426ccefb5395a3a82ef">vertexElementLess</a>(const VertexElement &amp;e1, const VertexElement &amp;e2)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a3229cfa9d056740702853b27249c7181">VertexElementList</a> typedef</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Resource.html#a1ecf872a0653d44f6078a57a17fd9eea">~D3D9Resource</a>()</td><td><a class="el" href="classOgre_1_1D3D9Resource.html">Ogre::D3D9Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#a6e35239737da934f62f69fad4c3bd290">~D3D9VertexDeclaration</a>()</td><td><a class="el" href="classOgre_1_1D3D9VertexDeclaration.html">Ogre::D3D9VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a27c14f93e37659aa583f572ba250b155">~VertexDeclaration</a>()</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:17
</p>
</body>
</html>
